{% extends 'base.html.twig' %}


{% block title %}Présentation
{% endblock %}

{% block body %}

	<div id="bodyProposDiv">
		<main class="mainPropos">

			{% for presentation in presentations %}
				<h2 class="h1Apropos">{{ presentation.titrePres }}</h2>
				{% if is_granted('ROLE_ADMIN') %}
				<div class="input-admin">
					<a title="Nouveau" href="{{ path('app_presentation_new') }}">
						<i class="fa-solid fa-file-circle-plus fa-2x" style="color:black"></i>
					</a>
					<a title="Modifier" href="{{ path('app_presentation_edit', {'id': presentation.id}) }}">
						<i class="fa-solid fa-file-pen fa-2x" style="color:black"></i>
					</a>
				</div>
				{% endif %}

				<p class="textPropos">{{ presentation.paragraphe1Pres }}</p>
				<img class="imgPropos" src="/uploads/{{ presentation.ImagePres1 }}" alt="Premiere image"/>
				<p class="textPropos">{{ presentation.paragraphe2Pres }}</p>
				<img class="imgPropos" src="/uploads/{{ presentation.ImagePres2 }}" alt="Deuxieme image"/>
				<p class="textPropos">{{ presentation.paragraphe3Pres }}</p>

			{% else %}
            {% if is_granted('ROLE_ADMIN') %}
                <a title="Nouveau" href="{{ path('app_presentation_new') }}">
                    <i class="fa-solid fa-file-circle-plus fa-2x" style="color:black"></i>
                </a>
            {% endif %}
				<p>Aucune description, veuillez créer une description</p>
			{% endfor %}
		</main>
	</div>

{% endblock %}
